#include "stdafx.h"
#include "War3TypesAndConstants.h"
#include "MMPIcon.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMMPIcon::CMMPIcon()
{
	m_iIconType	= MMP_ICON_UNDEFINED;
	m_iY		= MMP_COORD_MIDDLE;
	m_iX		= MMP_COORD_MIDDLE;
	m_Color		= MMP_COLOR_NONE;
}

CMMPIcon::~CMMPIcon()
{

}

BOOL CMMPIcon::operator ==(const CMMPIcon other) const
{
	if (m_iIconType != other.m_iIconType)
	{
		return FALSE;
	}
	else if (m_iY != other.m_iY)
	{
		return FALSE;
	}
	else if (m_iX != other.m_iX)
	{
		return FALSE;
	} 
	else if (m_Color != other.m_Color)
	{
		return FALSE;
	} 

	return TRUE;
}
